require 'spec_helper'

describe "/mashes/show.html.erb" do
  include MashesHelper
  before(:each) do
    assigns[:mash] = @mash = stub_model(Mash,
      :requester => "value for requester",
      :map_a => 1,
      :map_b => 1,
      :winner => 1
    )
  end

  it "renders attributes in <p>" do
    render
    response.should have_text(/value\ for\ requester/)
    response.should have_text(/1/)
    response.should have_text(/1/)
    response.should have_text(/1/)
  end
end
